#include <Ecore.h>
#include <Ecore_Evas.h>
#include <Edje.h>

#define WIDTH 256
#define HEIGHT 256

void quit(Ecore_Evas *ecore_evas)
{
	ecore_main_loop_quit();
}

int
main( int argc, char **argv )
{
	Ecore_Evas *ecore_evas;
	Evas *evas;
	Evas_Object *object;

	/* Initialise our libraries */
	if( !ecore_evas_init() ) return EXIT_FAILURE;
	if( !edje_init() ) return EXIT_FAILURE;

	/* Create our Ecore_Evas */
	ecore_evas = ecore_evas_software_x11_new( NULL, 0, 0, 0, WIDTH,HEIGHT );
	ecore_evas_title_set( ecore_evas, "A Window" );
	ecore_evas_show( ecore_evas );

	ecore_evas_callback_delete_request_set(ecore_evas, quit);

	/* get a handle to our canvas */
	evas = ecore_evas_get( ecore_evas );

	/* create the box group object */
	Evas_Object *box = edje_object_add( evas );
	edje_object_file_set( box, "box.edj", "default" );
	evas_object_move(box, 0,0);
	evas_object_resize( box, WIDTH, HEIGHT );
	evas_object_show( box );

	/* Start the main event loop */
	ecore_main_loop_begin();

	/* delete the objects */
//	evas_object_del(box);

	/* When the main event loop exits shutdown our libraries */
	edje_shutdown();
	ecore_evas_shutdown();
	return 0;
}
